//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Clock {
/// <summary>
/// SET_CLOCK_TIME(12, 34, 56);
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Clock<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x47C3B5848C3E45D8<br />
/// </para>
/// </remarks>
public static void SetClockTime(int hour, int minute, int second){
Function.Call((Hash)0x47C3B5848C3E45D8uL, hour, minute, second);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Clock<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4055E40BD2DBEC1D<br />
/// </para>
/// </remarks>
public static void PauseClock(bool toggle){
Function.Call((Hash)0x4055E40BD2DBEC1DuL, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Clock<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC8CA9670B9D83B3B<br />
/// </para>
/// </remarks>
public static void AdvanceClockTimeTo(int hour, int minute, int second){
Function.Call((Hash)0xC8CA9670B9D83B3BuL, hour, minute, second);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Clock<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD716F30D8C8980E2<br />
/// </para>
/// </remarks>
public static void AddToClockTime(int hours, int minutes, int seconds){
Function.Call((Hash)0xD716F30D8C8980E2uL, hours, minutes, seconds);
}

/// <summary>
/// Gets the current ingame hour, expressed without zeros. (09:34 will be represented as 9)
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Clock<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x25223CA6B4D20B7F<br />
/// </para>
/// </remarks>
public static int GetClockHours(){
return Function.Call<int>((Hash)0x25223CA6B4D20B7FuL);
}

/// <summary>
/// Gets the current ingame clock minute.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Clock<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x13D2B8ADD79640F2<br />
/// </para>
/// </remarks>
public static int GetClockMinutes(){
return Function.Call<int>((Hash)0x13D2B8ADD79640F2uL);
}

/// <summary>
/// Gets the current ingame clock second. Note that ingame clock seconds change really fast since a day in GTA is only 48 minutes in real life.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Clock<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x494E97C2EF27C470<br />
/// </para>
/// </remarks>
public static int GetClockSeconds(){
return Function.Call<int>((Hash)0x494E97C2EF27C470uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Clock<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB096419DF0D06CE7<br />
/// </para>
/// </remarks>
public static void SetClockDate(int day, int month, int year){
Function.Call((Hash)0xB096419DF0D06CE7uL, day, month, year);
}

/// <summary>
/// Gets the current day of the week.<br /><br />0: Sunday<br />1: Monday<br />2: Tuesday<br />3: Wednesday<br />4: Thursday<br />5: Friday<br />6: Saturday
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Clock<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD972E4BD7AEB235F<br />
/// </para>
/// </remarks>
public static int GetClockDayOfWeek(){
return Function.Call<int>((Hash)0xD972E4BD7AEB235FuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Clock<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3D10BC92A4DB1D35<br />
/// </para>
/// </remarks>
public static int GetClockDayOfMonth(){
return Function.Call<int>((Hash)0x3D10BC92A4DB1D35uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Clock<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBBC72712E80257A1<br />
/// </para>
/// </remarks>
public static int GetClockMonth(){
return Function.Call<int>((Hash)0xBBC72712E80257A1uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Clock<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x961777E64BDAF717<br />
/// </para>
/// </remarks>
public static int GetClockYear(){
return Function.Call<int>((Hash)0x961777E64BDAF717uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Clock<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2F8B4D1C595B11DB<br />
/// </para>
/// </remarks>
public static int GetMillisecondsPerGameMinute(){
return Function.Call<int>((Hash)0x2F8B4D1C595B11DBuL);
}

/// <summary>
/// Gets system time as year, month, day, hour, minute and second.<br /><br />Example usage:<br /><br />    int year;<br /> int month;<br />    int day;<br />  int hour;<br /> int minute;<br />   int second;<br /><br /> TIME::GET_POSIX_TIME(&amp;year, &amp;month, &amp;day, &amp;hour, &amp;minute, &amp;second);<br />
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Clock<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDA488F299A5B164E<br />
/// </para>
/// </remarks>
public static void GetPosixTime(ref int year, ref int month, ref int day, ref int hour, ref int minute, ref int second){
var nativeAssistPointerVar0 = year;
var nativeAssistPointerVar1 = month;
var nativeAssistPointerVar2 = day;
var nativeAssistPointerVar3 = hour;
var nativeAssistPointerVar4 = minute;
var nativeAssistPointerVar5 = second;
unsafe {
Function.Call((Hash)0xDA488F299A5B164EuL, &nativeAssistPointerVar0, &nativeAssistPointerVar1, &nativeAssistPointerVar2, &nativeAssistPointerVar3, &nativeAssistPointerVar4, &nativeAssistPointerVar5);
}
year = nativeAssistPointerVar0;
month = nativeAssistPointerVar1;
day = nativeAssistPointerVar2;
hour = nativeAssistPointerVar3;
minute = nativeAssistPointerVar4;
second = nativeAssistPointerVar5;
}

/// <summary>
/// Gets current UTC time
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Clock<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8117E09A19EEF4D3<br />
/// </para>
/// </remarks>
public static void GetUtcTime(ref int year, ref int month, ref int day, ref int hour, ref int minute, ref int second){
var nativeAssistPointerVar0 = year;
var nativeAssistPointerVar1 = month;
var nativeAssistPointerVar2 = day;
var nativeAssistPointerVar3 = hour;
var nativeAssistPointerVar4 = minute;
var nativeAssistPointerVar5 = second;
unsafe {
Function.Call((Hash)0x8117E09A19EEF4D3uL, &nativeAssistPointerVar0, &nativeAssistPointerVar1, &nativeAssistPointerVar2, &nativeAssistPointerVar3, &nativeAssistPointerVar4, &nativeAssistPointerVar5);
}
year = nativeAssistPointerVar0;
month = nativeAssistPointerVar1;
day = nativeAssistPointerVar2;
hour = nativeAssistPointerVar3;
minute = nativeAssistPointerVar4;
second = nativeAssistPointerVar5;
}

/// <summary>
/// Gets local system time as year, month, day, hour, minute and second.<br /><br />Example usage:<br /><br />int year;<br />int month;<br />int day;<br />int hour;<br />int minute;<br />int second;<br />or use std::tm struct<br /><br />TIME::GET_LOCAL_TIME(&amp;year, &amp;month, &amp;day, &amp;hour, &amp;minute, &amp;second);<br />
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Clock<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x50C7A99057A69748<br />
/// </para>
/// </remarks>
public static void GetLocalTime(ref int year, ref int month, ref int day, ref int hour, ref int minute, ref int second){
var nativeAssistPointerVar0 = year;
var nativeAssistPointerVar1 = month;
var nativeAssistPointerVar2 = day;
var nativeAssistPointerVar3 = hour;
var nativeAssistPointerVar4 = minute;
var nativeAssistPointerVar5 = second;
unsafe {
Function.Call((Hash)0x50C7A99057A69748uL, &nativeAssistPointerVar0, &nativeAssistPointerVar1, &nativeAssistPointerVar2, &nativeAssistPointerVar3, &nativeAssistPointerVar4, &nativeAssistPointerVar5);
}
year = nativeAssistPointerVar0;
month = nativeAssistPointerVar1;
day = nativeAssistPointerVar2;
hour = nativeAssistPointerVar3;
minute = nativeAssistPointerVar4;
second = nativeAssistPointerVar5;
}

}}
